Package org.codehaus.groovy.vmplugin.v7

# Class CacheableCallSite

java.lang.Object
java.lang.invoke.CallSite
java.lang.invoke.MutableCallSite
org.codehaus.groovy.vmplugin.v7.CacheableCallSite

    @Deprecated
    public class CacheableCallSite
    extends MutableCallSite

Deprecated.
Represents a cacheable call site, which can reduce the cost of resolving methods

Since:
  3.0.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CacheableCallSite​(MethodType type)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper` | `getAndPut​(String className, MemoizeCache.ValueProvider<? super String,​? extends org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper> valueProvider)` | Deprecated.
  `MethodHandle` | `getDefaultTarget()` | Deprecated.
  `MethodHandle` | `getFallbackTarget()` | Deprecated.
  `long` | `incrementFallbackCount()` | Deprecated.
  `org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper` | `put​(String name, org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper mhw)` | Deprecated.
  `void` | `resetFallbackCount()` | Deprecated.
  `void` | `setDefaultTarget​(MethodHandle defaultTarget)` | Deprecated.
  `void` | `setFallbackTarget​(MethodHandle fallbackTarget)` | Deprecated.

  ### Methods inherited from class java.lang.invoke.MutableCallSite

  `dynamicInvoker, getTarget, setTarget, syncAll`

  ### Methods inherited from class java.lang.invoke.CallSite

  `type`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CacheableCallSite

    public CacheableCallSite​(MethodType type)
    Deprecated.

- ## Method Details

  - ### getAndPut

    public org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper getAndPut​(String className, MemoizeCache.ValueProvider<? super String,​? extends org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper> valueProvider)
    Deprecated.

  - ### put

    public org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper put​(String name, org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper mhw)
    Deprecated.

  - ### incrementFallbackCount

    public long incrementFallbackCount()
    Deprecated.

  - ### resetFallbackCount

    public void resetFallbackCount()
    Deprecated.

  - ### getDefaultTarget

    public MethodHandle getDefaultTarget()
    Deprecated.

  - ### setDefaultTarget

    public void setDefaultTarget​(MethodHandle defaultTarget)
    Deprecated.

  - ### getFallbackTarget

    public MethodHandle getFallbackTarget()
    Deprecated.

  - ### setFallbackTarget

    public void setFallbackTarget​(MethodHandle fallbackTarget)
    Deprecated.